import pandas as pd
from TagCreator import ai_tagging

def ai_cat_map(csv):
    
     # Wczytanie pliku CSV
    df = pd.read_csv(csv)
        
     # Sprawdzanie, czy kolumna 'odp' istnieje; jeśli nie, tworzenie jej
    if 'PIM' not in df.columns:
        df['PIM'] = ""
    
    for index, row in df.iterrows():
        print(row["marketplace"])
        ai_map = ai_tagging(row["marketplace"])
        print(ai_map["map_cat"])
        
        #row["PIM"] = str(ai_map["map_cat"])
        PIM = str(ai_map["map_cat"])
        #df.at[index, 'PIM'] = str(ai_map["map_cat"])
        
        Marketplace = row["marketplace"]
        #print(row["PIM"])
        # Zapis zmodyfikowanego DataFrame do nowego pliku CSV
        data = {
    'marketplace': Marketplace,
    'PIM': PIM
}
        dff = pd.DataFrame(data, index=[index])
        dff.to_csv("output_with_responses.csv", mode='a', index=False, header=False)
        #index = index + 1
        

csv = input(str("Podaj link do pliku XML:"))

ai_cat_map(csv)